- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Fetch Commit details from a Git repository link.
HTTP request
GET https://developerconnect.googleapis.com/v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchCommit
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the GitRepositoryLink in the format |
Query parameters
| Parameters | |
|---|---|
commitSha |
Required. The commit SHA, or symbolic revision (for example, branch name, tag, or Git reference). |
view |
Optional. The level of commit details to return in the response. Defaults to |
pathFilters[] |
Optional. Path patterns or exact paths to filter returned files (only applicable in |
Request body
The request body must be empty.
Response body
Response message for gitRepositoryLinks.fetchCommit.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "commit": { object ( |
| Fields | |
|---|---|
commit |
The commit metadata. |
files[] |
List of file changes and patch diffs. Omitted when view is |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
developerconnect.gitRepositoryLinks.fetchCommit
For more information, see the IAM documentation.